Hello, everyone.

I loaded Igo8/primo onto my nav-01 last night...Igo8 is running perfectly, but when I try and load primo I get an error message stating my maps are out of date, contact local dealer.

What is a noob to do to correct this problem ?

Igo version :
primo version : not sure how to check